
<template>


<Card>

        <template #title>
          <p>Ajouter un nouveau rendez-vous</p>
        </template>
        <template #content>
          
            <form>


                    <label for="utilisateurs">Personnes concernées</label>
                    <input type="text" class="form-control" id="nom" placeholder="Personnes concernées" v-model="utilisateur">
                    <label for="calendrier">Calendrier</label>
                    <input type="text" class="form-control" id="calendrier" placeholder="Calendrier" v-model="calendrier">

                    <label for="date">Date</label>
                    <Calendar class="form-control calendar" id="date" v-model="date" :inline="false" />
  
                    <label for="objet">objet</label>
                    <input type="text" class="form-control" id="objet" placeholder="objet" v-model="objet">

                    <label for="detail">detail</label>
                    <input type="text" class="form-control" id="detail" placeholder="detail" v-model="detail">

                    <Button v-on:click="createRDV();" class="btn btn-primary" label="Submit" />


            </form>

        </template>

    </Card>

        <Card v-for="rdv in rdvs" v-bind:key="rdv">

                <template #title>
                Objet du RDV : {{ rdv.objet}}
                </template>

                <template #content>


                        <ul>
                                <li>Participants : {{ rdv.utilisateur }}</li>
                                <li>Calendrier parent : {{ rdv.calendrier }}</li>
                                <li>Date : {{ rdv.date }}</li>
                                <li>Detail : {{ rdv.detail }}</li>
                        </ul>


                <form v-show="isclicked">            


                    <input type="text" class="form-control" id="nom" placeholder="Personnes concernées" v-model="utilisateur">



                    <input type="text" class="form-control" id="calendrier" placeholder="Calendrier" v-model="calendrier">



                    <Calendar class="form-control calendar" placeholder="date" id="date" v-model="date" :inline="false" />



                    <input type="text" class="form-control" id="objet" placeholder="objet" v-model="objet">


                    <input type="text" class="form-control" id="detail" placeholder="detail" v-model="detail">

                    <Button v-on:click="updateRDV(rdv.id);" class="btn btn-primary update" label="Mettre à jour" />

                </form>


                </template>


                <template #footer>
                  <Button @click="isclicked=!isclicked" icon="pi pi-check" label="Modifier" />
                  <Button @click="deleteRDV(rdv.id);" icon="pi pi-times" label="Supprimer" class="p-button-secondary" style="margin-left: .5em" />
                </template>

      </Card>


</template>


<style scoped>



    
    .p-card{
      margin: 48px 20vw;
    }

    form{

      padding: 0px 120px;
    }

    .update{
      margin-top: 40px;
    }

    ul li{
      list-style: none;
    }

    span{
      margin: 0px 0px 24px 0px;
    }



</style>


<script>

import axios from "axios";



export default {
  components: {},
  name: "rdvs",
  props: {
    msg: String,
  },

    data() {

      
      return {
          rdvs: [],
          rdv: "",
          utilisateur: "",
          calendrier: "",
          date: "",
          objet: "",
          detail: "",
          isclicked: false
          };
        },

                mounted() {
                axios.get("http://localhost:8080/api/r_d_vs")
                .then((response) => (this.rdvs = response.data['hydra:member']))
                .then(response => console.log(response));
              },


        methods:{



                updateRDV(id) {
                axios
                  .put("http://localhost:8080/api/r_d_vs/" + id, {
                  utilisateur: [this.utilisateur],
                  calendrier: this.calendrier,
                  date: this.date,
                  objet: this.objet,
                  detail: this.detail
                })
                  .then(response => response)
                  .then(response => {
                    const idx = this.rdvs.findIndex(g => g.id === id)
                    this.rdvs[idx] = response.data
                  })
                  .catch((error) => {
                    console.log(error);
                  })
                },



            createRDV() {
              axios
                .post("http://localhost:8080/api/r_d_vs", {
                  utilisateur: [this.utilisateur],
                  calendrier: this.calendrier,
                  date: this.date,
                  objet: this.objet,
                  detail: this.detail
                })
                  .then((response) => {
                  this.rdvs.push(response.data)
                  })

                  .catch((error) => {
                  console.log(error);
                });
              },


            deleteRDV(id) {
            axios
            .delete("http://localhost:8080/api/r_d_vs/" + id)
            .then(() => {
            const idx = this.rdvs.findIndex(g => g.id === id)
            this.rdvs.splice(idx, 1);
            })
            }




                
        }



}


</script>

